Package: org.codehaus.groovy.grails.resolve

## [Java] Interface DependencyResolver

- Defines methods to resolve dependencies based on a supplied dependency definition.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Set<org.apache.ivy.core.module.id.ModuleRevisionId>` | `getModuleRevisionIds(java.lang.String organisation)` Obtains the ModuleRevisionId instances for the given organisation name
    `org.apache.ivy.core.report.ResolveReport` | `resolveDependencies()`

- - ### Method Detail

    - #### public java.util.Set<org.apache.ivy.core.module.id.ModuleRevisionId> getModuleRevisionIds(java.lang.String organisation)

      Obtains the ModuleRevisionId instances for the given organisation name

      Parameters:
        `organisation` - The organisation name
      Returns:
        The ModuleRevisionId

    - #### public org.apache.ivy.core.report.ResolveReport resolveDependencies()